% Frequency domain filter
% Arguments:
% * signal              Input signal vector
% * rate                Sampling rate of input samples in Hz
% * f_Hz                cutoff frequency

% return values:
% * outSig              filtered signal 
% * rate                Rate of the output signal, equals input rate

function [signal, rate]=mn_idealLowpass(signal, rate, f_Hz);
  
% to frequency domain
  signal=fftshift(fft(signal));
  
  % frequencies corresponding to the points in signal
  freqbase=mn_fftFreqbase(length(signal), rate);
  
  mask=abs(freqbase) <= f_Hz;
  
  % scale spectrum
  signal=signal .* mask;

  % back to time domain
  signal=ifft(fftshift(signal));  
  